Page 1 of 4 123 ... LastLast
Results 1 to 10 of 39

Thread: WARNING To Users of KDE Factory Repositories!

  1. #1
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,109
    Blog Entries
    16

    Exclamation WARNING To Users of KDE Factory Repositories!

    This was in the opensuse-kde Mailing List yesterday:

    With openSUSE 11.3 less than a week away, soon itll be time to think about
    11.3+1 which will be released in March 2011 with KDE SC 4.6.

    This should interest people using the KDE Factory repository a great deal,
    because it means that Factory should move to KDE SC 4.5 RC very shortly, and
    in November it will move to KDE SC 4.6 Beta. Leaving users with no choice
    other than using 4.6 Beta or downgrading to 4.4.4 which will be the version
    officially supported in 11.3 and available in the KDE Stable repository.

    In other words, if you dont wish to use KDE SC 4.6 Beta in November, dont
    use the KDE Factory repository! Switch to the KDE Stable repository, which
    already has 4.4.4. Consider yourself warned.
    A discussion is taking place there about if a kde45 repo could be setup to bridge the transition.
    But I thought it worth bringing to your attention and assume that if you are using Factory, you also have sufficient knowledge of what to do or how to manage the situation.
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    11,210

    Default Re: WARNING To Users of KDE Factory Repositories!

    caf4926 wrote:
    > assume that if you are using Factory, you also have sufficient
    > knowledge of what to do or how to manage the situation.


    judging from the questions raised, i've little evidence of that
    "sufficient knowledge"..

    in many cases it seems to be a matter of "sufficient want" for
    bleeding edge but insufficient knowledge to actually have it..

    --
    Enjoy Packman's benefits? Show your appreciation by donating at
    http://se.unixheads.org/?donate

    DenverD
    CAVEAT: http://is.gd/bpoMD [posted via NNTP w/openSUSE 10.3]

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,109
    Blog Entries
    16

    Default Re: WARNING To Users of KDE Factory Repositories!

    judging from the questions raised, i've little evidence of that
    "sufficient knowledge"..

    in many cases it seems to be a matter of "sufficient want" for
    bleeding edge but insufficient knowledge to actually have it..
    Indeed.
    Just offering a heads up..
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  4. #4
    Join Date
    Mar 2008
    Location
    Europe
    Posts
    25,868
    Blog Entries
    30

    Default Re: WARNING To Users of KDE Factory Repositories!

    Quote Originally Posted by caf4926 View Post
    This was in the opensuse-kde Mailing List yesterday:

    ..... Leaving users with no choice other than using 4.6 Beta or downgrading to 4.4.4 which will be the version officially supported in 11.3 and available in the KDE Stable repository.
    Interesting ... my thinking a bit out of the box ? ... ... this has me thinking that I 'might' update the KDE in my wife's Fujitsu-Siemens laptop openSUSE-11.1 from KDE-4.3.5 to KDE-4.4.4 (which will be the version officially supported in 11.3).

    Neither openSUSE-11.2 nor 11.3 run on this laptop (due it its i855GM Intel graphics incompatibility with kernels after the 2.6.27 kernel). In fact, I now call this laptop "the Linux killer" as no recent distribution runs on it with the Intel driver (the FBDEV driver works, but who wants to use that driver ? ). openSUSE-11.1 with the 2.6.27 kernel runs well on this laptop's i855GM (with special desktop effects running smoothly).

    Hence I'm looking at adding the repos

    http://download.opensuse.org/repositories/KDE:/Distro:/Stable/openSUSE_11.1

    and then updating to KDE-4.4.4. Presumeably the openSUSE-11.3 testing should mean this KDE4 version is relatively stable (while noting that 4.4.4 is NOT an official 11.1 KDE4 version, there is always a risk, but I'm thinking 4.4.4 should be more stable than 4.1.3 and also more stable than KDE-4.3.5 (where I currently have 4.3.5 on this laptop with openSUSE-11.1).

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,109
    Blog Entries
    16

    Default Re: WARNING To Users of KDE Factory Repositories!

    I'm inclined to agree with that synopsis Lee.
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,109
    Blog Entries
    16

    Default Re: WARNING To Users of KDE Factory Repositories!

    For those who do try and roll back, you'll have fun with a bunch of kde branding dependencies. Even when you try and use the switcher like this:
    ImageBam - Fast, Free Image Hosting and Photo Sharing
    You will need to manually use the radio button method: ImageBam - Fast, Free Image Hosting and Photo Sharing
    To switch some packages it complains about from 11.3 branding to 11.2 branding (they will come from the 11.2 update repo)
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  7. #7
    Join Date
    Nov 2008
    Location
    Hamburg
    Posts
    251

    Default Re: WARNING To Users of KDE Factory Repositories!

    This announcement is critical for openSUSE-factory users not just users of the repo kde-factory ...
    Wrong title , wrong forum....

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,109
    Blog Entries
    16

    Default Re: WARNING To Users of KDE Factory Repositories!

    Quote Originally Posted by ulenrich View Post
    This announcement is critical for openSUSE-factory users not just users of the repo kde-factory ...
    Wrong title , wrong forum....
    WHATEVER...
    The announcement was generalization to alert any users of the changes in 'Factory' 'Whatever repo'....
    Most forum users do not sub the ML and probably use version specific factory (Eg: Index of /repositories/KDE:/Distro:/Factory/openSUSE_11.2 )

    :-P
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    11,210

    Default Re: WARNING To Users of KDE Factory Repositories!

    ulenrich wrote:
    > This announcement is critical for openSUSE-factory users not just users
    > of the repo kde-factory ...
    > Wrong title , wrong forum....


    can we count on you to send it to the correct forum with the correct
    title??

    but, you might want to consider that SEVERAL hours after caf put it
    here, where all FORUM users might see it (but maybe in the wrong place
    for all factory users) it was published in the weekly news from the
    KDE Team at:
    http://news.opensuse.org/2010/07/10/.../#Team_Reports

    which quoted from a *day*older* blog with "Attention openSUSE KDE
    Factory Users" cite:
    http://mschlander.wordpress.com/2010...factory-users/

    so, where did you quote it to?

    --
    Enjoy Packman's benefits? Show your appreciation by donating at
    http://se.unixheads.org/?donate

    DenverD
    CAVEAT: http://is.gd/bpoMD [posted via NNTP w/openSUSE 10.3]

  10. #10
    Join Date
    Jun 2008
    Location
    where I am is where I am
    Posts
    1,171

    Default Re: WARNING To Users of KDE Factory Repositories!

    To be sure we are Talking factory only.
    Not the repos listed as "Updated applications only" on this page:
    KDE/Repositories - openSUSE
    Could we in time call them the future KDE45's ?
    Challenge your preconceptions, or they will challenge you.
    My 32 bit: E Machines T3103| VIA On board graphics|512MB RAM
    My 64 bit: Gateway 5670| Nvidia GeForce GT610 |CPU AMD Phenom 8400|4G RAM

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •